commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From James Carman <ja...@carmanconsulting.com>
Subject Re: [continuum] BUILD FAILURE: Commons - Commons Lang -
Date Mon, 08 Mar 2010 14:33:55 GMT
We can switch Proxy to JDK5+ if that's necessary.  I've got some
generics ideas in mind for the API anyway.

On Mon, Mar 8, 2010 at 7:11 AM, Niall Pemberton
<niall.pemberton@gmail.com> wrote:
> On Mon, Mar 8, 2010 at 11:56 AM, sebb <sebbaz@gmail.com> wrote:
>> On 08/03/2010, Niall Pemberton <niall.pemberton@gmail.com> wrote:
>>> On Mon, Mar 8, 2010 at 11:31 AM, sebb <sebbaz@gmail.com> wrote:
>>>  > On 08/03/2010, Niall Pemberton <niall.pemberton@gmail.com> wrote:
>>>  >> On Mon, Mar 8, 2010 at 3:41 AM, sebb <sebbaz@gmail.com> wrote:
>>>  >>  > The failure is due to the upgrade to Commons Parent 13, which
does not
>>>  >>  > run on Java 1.4
>>>  >>  >
>>>  >>  > Not sure which plugins are the culprits.
>>>  >>  >
>>>  >>  > I've reverted Commons Lang 2.x to parent 12 for the time being.
>>>  >>
>>>  >>
>>>  >> My preference would be to change Continuum to use JDK 1.5.
>>>  >
>>>  > That rather negates the purpose of using Continuum for Lang 2.
>>>  >
>>>  > AIUI, when Maven is run under Java 1.5, then the compiler uses the 1.5
>>>  > libraries even if the target is 1.4, so incorrect use of 1.5 methods
>>>  > is not caught.
>>>
>>>
>>> Lang 2.x currently targets JDK 1.3 so we already have that issue.
>>>  While it would be good for Continuum to pick up those issues we still
>>>  need to build using Ant and JDK 1.3 to ensure nothing has crept into
>>>  the code base for > JDK 1.3
>>
>> Agreed, but moving to a minimum of 1.5 for Maven means that we have to
>> do that for all projects using Java 1.4 as well, whereas until POM 13
>> one could still use Maven. Not all of the Java 1.4 projects have Ant
>> build files, because they weren't needed until now.
>
> I thought we only had one or two components targeting JDK 1.4 - but it
> turns out theres 12 :(
> (cli, codec,compress,configuration,el,email,jci,proxy,sanselan,scxml,validator,vfs)
>
> I'll take a look tonight to see how many plugins we would need to
> downgrade to get back to being able to run using JDK 1.4 - then we can
> decide whether thats what we want to do.
>
> Niall
>
>>>  > Once that is fixed, then I agree it would be simpler to run Maven under
1.5.
>>>
>>>
>>> AFAIK the only solution in maven is to have the compiler fork a
>>>  separate JVM to compile the code:
>>>
>>>  http://maven.apache.org/plugins/maven-compiler-plugin/examples/compile-using-different-jdk.html
>>>
>>>  Whether we can set that up in Continuum I have no idea.
>>
>> I'll have a look at that later.
>>
>> We also need to do the same for Surefire.
>>
>>>
>>>  Niall
>>>
>>>
>>>  >>  The
>>>  >>  alternative is to work out which plugins require 1.5 and downgrade
to
>>>  >>  previous versions which can run on 1.4.
>>>  >>
>>>  >
>>>  > Yes, that's preferable at present. Or maybe the versions could be
>>>  > overridden in projects that still need 1.4
>>>  >
>>>  >>  Niall
>>>  >>
>>>  >>
>>>  >>  > On 08/03/2010, Continuum@vmbuild.apache.org <dev@commons.apache.org>
wrote:
>>>  >>  >> Online report : http://vmbuild.apache.org/continuum/buildResult.action?buildId=297501&projectId=2634
>>>  >>  >>
>>>  >>  >>  Build statistics:
>>>  >>  >>   State: Failed
>>>  >>  >>   Previous State: Failed
>>>  >>  >>   Started at: Sun 7 Mar 2010 18:47:42 -0800
>>>  >>  >>   Finished at: Sun 7 Mar 2010 18:47:59 -0800
>>>  >>  >>   Total time: 16s
>>>  >>  >>   Build Trigger: Schedule
>>>  >>  >>   Build Number: 266
>>>  >>  >>   Exit code: 1
>>>  >>  >>   Building machine hostname: vmbuild.apache.org
>>>  >>  >>   Operating system : Linux(unknown)
>>>  >>  >>   Java Home version :
>>>  >>  >>           java version "1.4.2_15"
>>>  >>  >>           Java(TM) 2 Runtime Environment, Standard
Edition (build 1.4.2_15-b02)
>>>  >>  >>           Java HotSpot(TM) Client VM (build 1.4.2_15-b02,
mixed mode)
>>>  >>  >>
>>>  >>  >>   Builder version :
>>>  >>  >>           Maven version: 2.0.9
>>>  >>  >>           Java version: 1.4.2_15
>>>  >>  >>           OS name: "linux" version: "2.6.24-23-server"
arch: "i386" Family: "unix"
>>>  >>  >>
>>>  >>  >>  ****************************************************************************
>>>  >>  >>  SCM Changes:
>>>  >>  >>  ****************************************************************************
>>>  >>  >>  No files changed
>>>  >>  >>
>>>  >>  >>  ****************************************************************************
>>>  >>  >>  Dependencies Changes:
>>>  >>  >>  ****************************************************************************
>>>  >>  >>  No dependencies changed
>>>  >>  >>
>>>  >>  >>
>>>  >>  >>  ****************************************************************************
>>>  >>  >>  Build Definition:
>>>  >>  >>  ****************************************************************************
>>>  >>  >>  POM filename: pom.xml
>>>  >>  >>  Goals: clean install
>>>  >>  >>  Arguments: --batch-mode --non-recursive
>>>  >>  >>  Build Fresh: false
>>>  >>  >>  Always Build: true
>>>  >>  >>  Default Build Definition: true
>>>  >>  >>  Schedule: COMMONS_SCHEDULE
>>>  >>  >>  Profile Name: Java 1.4
>>>  >>  >>  Description:
>>>  >>  >>
>>>  >>  >>  ****************************************************************************
>>>  >>  >>  Test Summary:
>>>  >>  >>  ****************************************************************************
>>>  >>  >>  Tests: 0
>>>  >>  >>  Failures: 0
>>>  >>  >>  Errors: 0
>>>  >>  >>  Total time: 0.0
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
> For additional commands, e-mail: dev-help@commons.apache.org
>
>

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
For additional commands, e-mail: dev-help@commons.apache.org


Mime
View raw message